/*
 * MessageFacadeLocal.java
 *
 * Created on 21 maj 2007, 15:33
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package eu.bojar.hibernatetest.service;

import eu.bojar.hibernatetest.model.Message;

import java.util.Collection;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author Jarek
 */
@Local
public interface MessageFacadeLocal {
	
	void initDatabase();
	
    void create(Message message);

    void edit(Message message);

    void destroy(Message message);

    Message find(long pk);
    
    Message getReference(long pk);

    List<Message> findAll();

    void create(Collection<Message> messages);
    
    void edit(Collection<Message> messages);

    void destroy(Collection<Message> messages);
}
